.websima-ajax-cart-wrapper .quantity-selector {
    display: inline-flex;
    align-items: center;
    justify-content: space-between;
    border: 1px solid #ff6f61;
    border-radius: 1rem;
    padding: 0 6px;
    background: #fff;
    width: 116px;
    height: 46px;
}

.websima-ajax-cart-wrapper .quantity-selector button {
    color: #ff6f61;
    font-size: 20px;
    cursor: pointer;
    font-weight: bold;
    padding: 0 5px;
    border: 1px solid rgb(255 111 97 / 30%);
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    color: var(--color1);
    line-height: 1;
    transition: 0.4s ease;
    min-width: 32px;
    height: 32px;
    background-color: #fff;
}

.websima-ajax-cart-wrapper .quantity-selector button:hover {
    background: var(--color1);
    color: #fff;
}

.websima-ajax-cart-wrapper .quantity-selector .num {
    font-size: 16px;
    color: #333;
    font-weight: bold;
}

.btn-see-product {
    display: flex;
    align-items: center;
    justify-content: center;
}


.websima-ajax-cart-wrapper {
    position: relative;
    min-height: 35px;
}

.loading-spinner {
    display: none;
    align-items: center;
    justify-content: space-between;
    min-width: 90px;
    height: 35px;
    padding: 0 15px;
}

.spinner-dot {
    width: 8px;
    height: 8px;
    background-color: #ff6f61;
    border-radius: 50%;
    display: inline-block;
    animation: bounce 1.4s infinite ease-in-out both;
}

.spinner-dot:nth-child(1) {
    animation-delay: -0.32s;
}

.spinner-dot:nth-child(2) {
    animation-delay: -0.16s;
}

@keyframes bounce {

    0%,
    80%,
    100% {
        transform: scale(0);
    }

    40% {
        transform: scale(1.0);
    }
}




/* نوتیس */
#websima-toast-container {
    position: fixed;
    top: 30px;
    right: 30px;
    z-index: 99999;
    display: flex;
    flex-direction: column;
    gap: 15px;
    pointer-events: none;
}

.websima-toast {
    color: #fff;
    min-width: 300px;
    max-width: 400px;
    padding: 16px 20px;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-family: inherit;
    font-size: 14px;
    pointer-events: auto;
    opacity: 0;
    transform: translateX(50px);
    transition: all 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.websima-toast.success {
    background: #1e944f;
}

.websima-toast.error {
    background: #ff1111;
}

.websima-toast.warning {
    background: #b8960e;
}

.websima-toast.show {
    opacity: 1;
    transform: translateX(0);
}

.websima-toast.fade-out {
    opacity: 0;
    transform: translateX(50px);
}

.ws-toast-content {
    display: flex;
    align-items: center;
    flex-grow: 1;
}

.ws-toast-close {
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 24px;
    height: 24px;
    margin-left: 12px;
    border-radius: 5px;
    transition: background 0.2s;
    color: #fff;
}

.ws-toast-close:hover {
    background-color: #f0f0f0;
    color: #555;
}

.ws-toast-close svg {
    width: 18px;
    height: 18px;
    fill: currentColor;
}

.ws-toast-separator {
    width: 1px;
    height: 18px;
    background-color: #fff;
    margin: 0 12px 0 25px;
    display: inline-block;
}

